timestep.hh File Reference
`#include <mia/core/factory.hh>`
`#include <mia/core/typedescr.hh>`
`#include <mia/3d/image.hh>`
Include dependency graph for 3d/timestep.hh:

Go to the source code of this file.

## Data Structures

class | C3DRegTimeStep
| The time-step part of time-marching registration algorithms. More...
class | C3DRegTimeStepPlugin
| The plug-in class for the time-step class of time-marching registration algorithms. More...

## Typedefs

typedef THandlerSingleton< TFactoryPluginHandler< C3DRegTimeStepPlugin > > | C3DRegTimeStepPluginHandler
| plugin handler for 3D time marching time step operator plug-ins
typedef std::shared_ptr< C3DRegTimeStep > | P3DRegTimeStep
| Pointer type for time steps in 3D time-marching image registration.

## Typedef Documentation

## C3DRegTimeStepPluginHandler

typedef THandlerSingleton<TFactoryPluginHandler<C3DRegTimeStepPlugin> > C3DRegTimeStepPluginHandler

plugin handler for 3D time marching time step operator plug-ins

Definition at line 144 of file 3d/timestep.hh.

## P3DRegTimeStep

typedef std::shared_ptr<C3DRegTimeStep > P3DRegTimeStep

Pointer type for time steps in 3D time-marching image registration.

See also
  C3DRegTimeStep

Definition at line 141 of file 3d/timestep.hh.